=== components/CMakeLists.txt ===
#
# DO NOT EDIT THIS FILE (unless you REALLY know what you are doing)
#
# To add a component, just add a subdirectory (the component name is the 
# directory name). Add all your code there and a text file called
# CMakeLists.txt 
# In your CMakeLists.txt, use the component_extension() macro apropriately

# Add subdirectories in CMake project but respect a specific
# order (i.e., consider components inter dependencies)
add_subdirectory(vtkimage)
add_subdirectory(vtkmesh)
add_subdirectory(dicom)
add_subdirectory(itkimage)
add_subdirectory(msh)
add_subdirectory(obj)
add_subdirectory(vrml)
add_subdirectory(physicalmodel)
add_subdirectory(mml)
