=== actions/application/CMakeLists.txt ===
action_extension(DEFAULT
DEFINES COMPILE_APPLICATION_ACTION_API
)
