=== actions/image/CMakeLists.txt ===
#
# DO NOT EDIT THIS FILE (unless you REALLY know what you are doing)
#
# To add a component, just add a subdirectory (the component name is the 
# directory name). Add all your code there and a text file called
# CMakeLists.txt 
# In your CMakeLists.txt, use the action_extension() macro apropriately

# Add subdirectories in CMake project but respect a specific
# order (i.e., consider actions inter dependencies)
add_subdirectory(imagelut)
add_subdirectory(reconstruction)
add_subdirectory(volumerendering)
add_subdirectory(multipicking)
add_subdirectory(itksegmentation)  
add_subdirectory(itkfilters)
