=== applications/imp/CMakeLists.txt ===
application_extension(DEFAULT)
