=== applications/objectcontroller/CMakeLists.txt ===
application_extension()
