=== applications/wizard/CMakeLists.txt ===
# specific section in order to use the XML module of Qt
if(APPLICATION_WIZARD)
     set (QT_USE_QTWEBKIT ON)
     set (QT_USE_QTXML ON)
     set (QT_USE_QTXMLPATTERNS ON)
    find_package(Qt4 REQUIRED)
    if(QT_USE_FILE)
	include(${QT_USE_FILE})
    else(QT_USE_FILE)
	set(QT_LIBRARIES ${QT_QT_LIBRARY})
    endif(QT_USE_FILE)
    # warning: redefines CAMITK_LIBRARIES
    set(CAMITK_LIBRARIES ${CAMITK_LIBRARIES} ${QT_LIBRARIES})
endif()

# use the application extension macro
application_extension(NEEDS_XSD
                      NEEDS_XERCESC
                      NEEDS_TOOL coreschema)

if(APPLICATION_WIZARD)
    # build-time FindCamiTK.cmake install
    # check directory
    set(FIND_CAMITK_BUILD_TIME_DIR ${CAMITK_BUILD_DIR}/share/cmake)
    if (NOT EXISTS ${FIND_CAMITK_BUILD_TIME_DIR})
        add_custom_command( TARGET application-wizard
                            POST_BUILD
                            COMMAND ${CMAKE_COMMAND} -E make_directory ${FIND_CAMITK_BUILD_TIME_DIR}
                            COMMENT "Creating build-time group include dir ${FIND_CAMITK_BUILD_TIME_DIR}"
                            VERBATIM
        )
    endif()

    # copy after build, only if there was a change
    add_custom_command( TARGET application-wizard
                        POST_BUILD
                        COMMAND ${CMAKE_COMMAND} -E copy_if_different ../../cmake/modules/FindCamiTK.cmake ${FIND_CAMITK_BUILD_TIME_DIR}/
                        COMMENT "Installing build-time FindCamiTK.cmake"
                        WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
                        VERBATIM
    )
endif()
