=== components/dicom/CMakeLists.txt ===
# dicom component just needs to use the component_extension macro
component_extension(NEEDS_ITK 
#                    LIBRARIES ITKBasicFilters ITKCommon ITKIO
)
