=== components/itkimage/CMakeLists.txt ===
# itkimage component just needs to use the component_extension macro
component_extension(NEEDS_ITK 
)
