=== debian/changelog ===
camitk (3.0.2-1) unstable; urgency=low

  * Initial release (Closes: #682109)

 -- Emmanuel Promayon <Emmanuel.Promayon@imag.fr>  Thu, 26 Jul 2012 15:55:23 +0200
