=== debian/control ===
Source: camitk
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Andreas Tille <tille@debian.org>, Mathieu Malaterre <malat@debian.org>, Emmanuel Promayon <Emmanuel.Promayon@imag.fr>
Build-Depends: debhelper (>= 9), cmake (>= 2.6), libvtk5-dev (>= 5.6), libqt4-dev (>= 4.6), libvtk5-qt4-dev (>= 5.6), xsdcxx (>= 3.2), libinsighttoolkit3-dev (>= 3.18), libxerces-c-dev (>= 3.1), libxml2-dev (>= 2.7), libgdcm2-dev (>= 2.0), libfftw3-dev, libqtwebkit-dev | libqt4-dev (<< 4.7)
Build-Depends-Indep: doxygen, graphviz
Standards-Version: 3.9.3
Homepage: http://camitk.imag.fr/
X-Homepage: https://forge.imag.fr/projects/camitk/
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/camitk/trunk/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/camitk/trunk/

Package: libcamitk3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Computer Assisted Medical Intervention Tool Kit - runtime
 Helps researchers and clinicians to easily and rapidly collaborate in
 order to prototype CAMI applications, that feature medical images,
 surgical navigation and biomechanical simulations.
 .
 This package contains the shared libraries needed to run CamiTK applications.

Package: libcamitk3-dev
Architecture: any
Section: libdevel
Depends: libcamitk3 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Computer Assisted Medical Intervention Tool Kit - development
 Helps researchers and clinicians to easily and rapidly collaborate in
 order to prototype CAMI applications, that feature medical images,
 surgical navigation and biomechanical simulations. 
 .
 This package contains development files needed to build CamiTK applications.
 This package also provides the CamiTK wizard to create new extensions.

Package: libcamitk3-data
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Computer Assisted Medical Intervention Tool Kit - data
 Helps researchers and clinicians to easily and rapidly collaborate in
 order to prototype CAMI applications, that feature medical images,
 surgical navigation and biomechanical simulations.
 .
 This package contains the example and test data for CamiTK.

Package: libcamitk3-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Computer Assisted Medical Intervention Tool Kit - documentation
 Helps researchers and clinicians to easily and rapidly collaborate in
 order to prototype CAMI applications, that feature medical images,
 surgical navigation and biomechanical simulations. 
 .
 This package contains the documentation for CamiTK.

Package: camitk-imp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: flagship application for the CamiTK library
 CamiTK Helps researchers and clinicians to easily and rapidly collaborate in
 order to prototype CAMI applications, that feature medical images,
 surgical navigation and biomechanical simulations.
 .
 imp is the CamiTK flagship application.
