=== debian/watch ===
version=3
http://camitk.imag.fr/download_source.xml \
   https://forge.imag.fr/frs/download.php/[\d]+/camitk-([\d.]+)\.tar\.gz
