## camitk 3.0.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,6 +12,11 @@
 project(CAMITK)
 
 cmake_minimum_required(VERSION 2.6)
+
+# Continous integration support
+enable_testing()
+include(CTest)
+
 
 # Find Qt (Qt4 without Qt3 support!)
 find_package(Qt4 REQUIRED)
@@ -40,12 +45,23 @@
 # enables to specify which target to launch to MSVC
 include(CreateLaunchers)
 
+# Create the Xml data for Project.xml description, fyi store in the global variable CAMITK_XML_PROJECT_DESCRIPTION
+initXmlSubProject()
+
+# add all subprojects
+add_subdirectory(cmake) # rules for cmake install
+add_subdirectory(applications)
+add_subdirectory(actions)
+add_subdirectory(components)
+add_subdirectory(core)
 add_subdirectory(tools)
-add_subdirectory(core)
-add_subdirectory(components)
-add_subdirectory(actions)
-add_subdirectory(applications) # needs to be put at the end
-add_subdirectory(cmake) # rules for cmake install
+
+# Validate and write down the Project.xml file
+# This file contains all the CamiTK project description with subprojects and their CMake target dependencies
+# This file is needed for CDash to correctly update the Dashboard accordingly to the project
+# Thus, CDash continuous integration dashboard is automatically updated when adding a new extension 
+# to CamiTK, using the corresponding macro
+validateXmlSubProjects(${CAMITK_BUILD_DIR})
 
 # For Microsoft Visual C++, sets the default application to imp for the "ALL_BUILD" project
 # (i.e. launches imp when we you click on "Debug" or "Start Without Debugging" button on Visual)
