=== cmake/CMakeLists.txt ===
# Save the compiler settings so another project can import them.
include(${CMAKE_ROOT}/Modules/CMakeExportBuildSettings.cmake)
cmake_export_build_settings(${CMAKE_CURRENT_BINARY_DIR}/../CamiTKBuildSettings.cmake)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/../CamiTKBuildSettings.cmake"
        DESTINATION lib/${CAMITK_SHORT_VERSION_STRING}/cmake
        COMPONENT cmake-modules)

# install the cmake files
file(GLOB CAMITK_CMAKE_FILES "modules/*.cmake")
set(SHARE_CMAKE_PATH) 
if ( MSVC )
	# Do NOT add ${CAMITK_SHORT_VERSION_STRING} to the share/cmake path for Win32 MSVC !
	set (SHARE_CMAKE_PATH share/cmake)
 else ()
	set (SHARE_CMAKE_PATH share/${CAMITK_SHORT_VERSION_STRING}/cmake)
endif ()

install(FILES ${CAMITK_CMAKE_FILES}
        DESTINATION ${SHARE_CMAKE_PATH}
        COMPONENT cmake-modules)

file(GLOB CAMITK_CMAKE_FILES "modules/launcher-templates/*.in")
install(FILES ${CAMITK_CMAKE_FILES}
        DESTINATION ${SHARE_CMAKE_PATH}/launcher-templates
        COMPONENT cmake-modules)
