=== components/CMakeLists.txt ===
--- 
+++ 
@@ -8,12 +8,11 @@
 
 # Add subdirectories in CMake project but respect a specific
 # order (i.e., consider components inter dependencies)
-add_subdirectory(vtkimage)
-add_subdirectory(vtkmesh)
-add_subdirectory(dicom)
-add_subdirectory(itkimage)
-add_subdirectory(msh)
-add_subdirectory(obj)
-add_subdirectory(vrml)
-add_subdirectory(physicalmodel)
-add_subdirectory(mml)
+
+get_subdirectories(COMPONENTS_LIST)
+
+# Add subdirectories in CMake project
+foreach(COMPONENT_NAME ${COMPONENTS_LIST})
+  add_subdirectory(${COMPONENT_NAME})
+endforeach()
+
