=== core/CMakeLists.txt ===
--- 
+++ 
@@ -23,13 +23,16 @@
 # prepare the library specific info (SONAME...)
 set(CAMITKCORE_LIBRARY_PROPERTIES ${CAMITKCORE_LIBRARY_PROPERTIES}
     VERSION   "${CAMITK_VER_MAJ}.${CAMITK_VER_MIN}.${CAMITK_VER_PAT}"
-    SOVERSION "${CAMITK_VER_MAJ}.${CAMITK_VER_MIN}"
+    SOVERSION "${CAMITK_VER_MAJ}"
 )
 
 # CAMITK_CORE_LIB needs to be SHARED and loaded only ONCE otherwise the extensions
 # can have their own copy of CAMITK_CORE_LIB, which will generates loads of problems
 # because of the Singleton design pattern and various factory bits in CAMITK_CORE_LIB.
 add_library(${CAMITK_CORE_LIB} SHARED ${${CAMITK_CORE_LIB}_SOURCES})
+# Update XML Project description adding this target as a subproject of the main CamiTK project with
+# its dependencies (in the CMake target point of view)
+addSubProject(${CAMITK_CORE_LIB})
 
 # set the library specific info (SONAME...)
 set_target_properties(${CAMITK_CORE_LIB} PROPERTIES ${CAMITKCORE_LIBRARY_PROPERTIES} LINK_INTERFACE_LIBRARIES "")
