=== tools/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 project(TOOLS)
 
 # list of TOOLS (option)
-set(TOOLS_LIST lml pml mml coreschema)
+set(TOOLS_LIST lml pml qcustomplot mml coreschema)
 # qtpropertybrowser is mandatory
 set(TOOLS_SUBDIRS qtpropertybrowser)
 
@@ -32,4 +32,3 @@
   add_subdirectory(${TOOL_NAME})
   message(STATUS "Building tool ${TOOL_NAME}") 
 endforeach()
-
