=== actions/application/CMakeLists.txt ===
camitk_extension(	
ACTION_EXTENSION
DEFAULT
DEFINES COMPILE_APPLICATION_ACTION_API
)

if(NOT ACTION_APPLICATION)
    message(FATAL_ERROR "ACTION_APPLICATION cannot be set to OFF, it is mandatory for any CamiTK applications")
endif()
