=== actions/image/CMakeLists.txt ===
--- 
+++ 
@@ -14,4 +14,6 @@
 add_subdirectory(multipicking)
 add_subdirectory(itksegmentation)  
 add_subdirectory(itkfilters)
+add_subdirectory(arbitraryslice)
+add_subdirectory(showin3d)
