=== actions/mesh/CMakeLists.txt ===
#
# DO NOT EDIT THIS FILE (unless you REALLY know what you are doing)
#
# To add a component, just add a subdirectory (the component name is the 
# directory name). Add all your code there and a text file called
# CMakeLists.txt 
# In your CMakeLists.txt, use the action_extension() macro apropriately

# find components
get_subdirectories(ACTIONS_MESH_LIST)

# Add subdirectories in CMake project
foreach(ACTION_MESH_NAME ${ACTIONS_MESH_LIST})
  add_subdirectory(${ACTION_MESH_NAME})
endforeach()
