=== applications/actionstatemachine/CMakeLists.txt ===
if(APPLICATION_ACTIONSTATEMACHINE)
	# specific section in order to use the XML module of Qt
     set (QT_USE_QTWEBKIT ON)
     set (QT_USE_QTXML ON)
     set (QT_USE_QTXMLPATTERNS ON)
    find_package(Qt4 REQUIRED)
    if(QT_USE_FILE)
	include(${QT_USE_FILE})
    else(QT_USE_FILE)
	set(QT_LIBRARIES ${QT_QT_LIBRARY})
    endif(QT_USE_FILE)
    # warning: redefines CAMITK_LIBRARIES
    set(CAMITK_LIBRARIES ${CAMITK_LIBRARIES} ${QT_LIBRARIES})
endif()

# use the application extension macro
application_extension(
LIBRARIES QtXml4 QtXmlPatterns4
)
