=== applications/wizard/CMakeLists.txt ===
--- 
+++ 
@@ -17,7 +17,7 @@
 application_extension(NEEDS_XSD
                       NEEDS_XERCESC
                       NEEDS_TOOL coreschema)
-
+                      
 if(APPLICATION_WIZARD)
     # build-time FindCamiTK.cmake install
     # check directory
