=== components/dicom/CMakeLists.txt ===
# dicom component just needs to use the component_extension macro
camitk_extension(
COMPONENT_EXTENSION
NEEDS_ITK
)
