=== debian/changelog ===
camitk (3.0.7-1) unstable; urgency=low

  [ Emmanuel Promayon ]
  * New upstream release. Fix extension inner dependencies.
    - Remove non-free tetgen from source. Closes: #689951 
    - Adding -fPIC to fix FTBFS on armhf and mipsel. Closes: #690830
  * Fix typo in d/control. Closes: #689021
    Remove patch applied upstream:
     - sonamefix.patch
  * Separate package libqtpropertybrowser3
  * Updated debian/watch submitted by Bart Martens

  [ Mathieu Malaterre ]
  * Remove DMUA (deprecated)
  * Bump Std-Vers to 3.9.4, no changes needed
  * Remove myself from Uploaders

 -- Emmanuel Promayon <Emmanuel.Promayon@imag.fr>  Thu, 14 Feb 2013 19:09:38 +0100
