=== debian/control ===
--- 
+++ 
@@ -2,11 +2,10 @@
 Section: science
 Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-DM-Upload-Allowed: yes
-Uploaders: Andreas Tille <tille@debian.org>, Mathieu Malaterre <malat@debian.org>, Emmanuel Promayon <Emmanuel.Promayon@imag.fr>
+Uploaders: Andreas Tille <tille@debian.org>, Emmanuel Promayon <Emmanuel.Promayon@imag.fr>
 Build-Depends: debhelper (>= 9), cmake (>= 2.6), libvtk5-dev (>= 5.6), libqt4-dev (>= 4.6), libvtk5-qt4-dev (>= 5.6), xsdcxx (>= 3.2), libinsighttoolkit3-dev (>= 3.18), libxerces-c-dev (>= 3.1), libxml2-dev (>= 2.7), libgdcm2-dev (>= 2.0), libfftw3-dev, libqtwebkit-dev | libqt4-dev (<< 4.7)
 Build-Depends-Indep: doxygen, graphviz
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://camitk.imag.fr/
 X-Homepage: https://forge.imag.fr/projects/camitk/
 Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/camitk/trunk/
@@ -14,7 +13,7 @@
 
 Package: libcamitk3
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: libqtpropertybrowser3 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: Computer Assisted Medical Intervention Tool Kit - runtime
  Helps researchers and clinicians to easily and rapidly collaborate in
  order to prototype CAMI applications, that feature medical images,
@@ -60,8 +59,29 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: flagship application for the CamiTK library
- CamiTK Helps researchers and clinicians to easily and rapidly collaborate in
+ CamiTK helps researchers and clinicians to easily and rapidly collaborate in
  order to prototype CAMI applications, that feature medical images,
  surgical navigation and biomechanical simulations.
  .
  imp is the CamiTK flagship application.
+
+Package: libqtpropertybrowser3
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Qt Property Browser Library - runtime
+ A framework providing a set of graphical editors for 
+ Qt properties similar to the one used in Qt Designer.
+ .
+ This package contains the shared libraries needed to run applications
+ linked against libqtpropertybrowser3.
+
+Package: libqtpropertybrowser3-dev
+Architecture: any
+Section: libdevel
+Depends: libqtpropertybrowser3 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Description: Qt Property Browser Library - development
+ A framework providing a set of graphical editors for 
+ Qt properties similar to the one used in Qt Designer.
+ .
+ This package contains development files needed to build applications
+ using Qt Property Browser
