=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,28 @@
 
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
+VER_MAJOR=3
+VER_MINOR=0
+VER_SHORT=$(VER_MAJOR).$(VER_MINOR)
+
+pkg_lib = libcamitk$(VER_MAJOR)
+pkg_qpb = libqtpropertybrowser$(VER_MAJOR)
+pkg_dev = libcamitk$(VER_MAJOR)-dev
+pkg_qpb_dev = libqtpropertybrowser$(VER_MAJOR)-dev
+pkg_data = libcamitk$(VER_MAJOR)-data
+pkg_doc = libcamitk$(VER_MAJOR)-doc
+pkg_imp = camitk-imp
+
+# dpkg-shlibdeps needs to know about camitk extension directories to manage inner-dependencies
+# between extensions (i.e., mml component extension depends on physicalmodel component extensions)
+# for component extensions:
+LD_LIBRARY_PATH:=$(LD_LIBRARY_PATH):$(CURDIR)/debian/${pkg_lib}/usr/lib/camitk-${VER_SHORT}/components/
+# for action extensions: 
+LD_LIBRARY_PATH:=$(LD_LIBRARY_PATH):$(CURDIR)/debian/${pkg_lib}/usr/lib/camitk-${VER_SHORT}/actions/
+
 CMAKE_EXTRA_FLAGS = \
-	-DCMAKE_SKIP_RPATH=ON \
+	-DCMAKE_SKIP_RPATH:BOOL=ON \
+	-DCMAKE_INSTALL_RPATH_USE_LINK_PATH:BOOL=OFF \
 	-DCMAKE_BUILD_TYPE:STRING=RelWithDebInfo \
 	-DCAMITK_INSTALL_ROOT:PATH=/usr \
 	-DTOOL_CORESCHEMA:BOOL=ON \
@@ -30,16 +50,6 @@
 override_dh_auto_configure:
 	dh_auto_configure -- $(CMAKE_EXTRA_FLAGS)
 
-VER_MAJOR=3
-VER_MINOR=0
-VER_SHORT=$(VER_MAJOR).$(VER_MINOR)
-
-pkg_lib = libcamitk$(VER_MAJOR)
-pkg_dev = libcamitk$(VER_MAJOR)-dev
-pkg_data = libcamitk$(VER_MAJOR)-data
-pkg_doc = libcamitk$(VER_MAJOR)-doc
-pkg_imp = camitk-imp
-
 # let's be smart with doc
 override_dh_auto_build-indep:
 	$(MAKE) -C obj-* apidoc
@@ -51,17 +61,36 @@
 
 override_dh_install:
 	# camitk dynamic library
-	dh_install -p$(pkg_lib) debian/tmp/usr/lib/lib*.so.* usr/lib 
-	dh_install -p$(pkg_lib) --autodest debian/tmp/usr/lib/camitk-$(VER_SHORT)/actions/lib*.so
-	dh_install -p$(pkg_lib) --autodest debian/tmp/usr/lib/camitk-$(VER_SHORT)/components/lib*.so
+	dh_install -p$(pkg_lib) debian/tmp/usr/lib/libcamitkcore.so.* usr/lib 
+	dh_install -p$(pkg_lib) debian/tmp/usr/lib/libmonitoring.so.* usr/lib 
+	dh_install -p$(pkg_lib) --autodest debian/tmp/usr/lib/camitk-$(VER_SHORT)/actions/lib*.so.*
+	dh_install -p$(pkg_lib) --autodest debian/tmp/usr/lib/camitk-$(VER_SHORT)/components/lib*.so.*
 
-	# camitk headers and static libs + wizard
-	dh_install -p$(pkg_dev) debian/tmp/usr/lib/lib*.so usr/lib 
+	# separate tools qtpropertybrowser
+	dh_install -p$(pkg_qpb) debian/tmp/usr/lib/libqtpropertybrowser.so.* usr/lib
+
+	# camitk so and headers and static libs + wizard
+	dh_install -p$(pkg_dev) debian/tmp/usr/lib/libcamitkcore.so usr/lib 
+	dh_install -p$(pkg_dev) debian/tmp/usr/lib/libmonitoring.so usr/lib 
+	dh_install -p$(pkg_dev) --autodest debian/tmp/usr/lib/camitk-$(VER_SHORT)/actions/lib*.so
+	dh_install -p$(pkg_dev) --autodest debian/tmp/usr/lib/camitk-$(VER_SHORT)/components/lib*.so
 	dh_install -p$(pkg_dev) debian/tmp/usr/bin/camitk-wizard
 	dh_install -p$(pkg_dev) --autodest debian/tmp/usr/lib/camitk-$(VER_SHORT)/lib*.a
-	dh_install -p$(pkg_dev) --autodest debian/tmp/usr/include
+	dh_install -p$(pkg_dev) --autodest debian/tmp/usr/include/camitk-${VER_SHORT}/camitkcore
+	dh_install -p$(pkg_dev) --autodest debian/tmp/usr/include/camitk-${VER_SHORT}/coreschema
+	dh_install -p$(pkg_dev) --autodest debian/tmp/usr/include/camitk-${VER_SHORT}/actions
+	dh_install -p$(pkg_dev) --autodest debian/tmp/usr/include/camitk-${VER_SHORT}/components
+	dh_install -p$(pkg_dev) --autodest debian/tmp/usr/include/camitk-${VER_SHORT}/pml
+	dh_install -p$(pkg_dev) --autodest debian/tmp/usr/include/camitk-${VER_SHORT}/lml
+	dh_install -p$(pkg_dev) --autodest debian/tmp/usr/include/camitk-${VER_SHORT}/mml
+	dh_install -p$(pkg_dev) --autodest debian/tmp/usr/include/camitk-${VER_SHORT}/monitoring
+	dh_install -p$(pkg_dev) --autodest debian/tmp/usr/include/camitk-${VER_SHORT}/monitoringgui
 	dh_install -p$(pkg_dev) --autodest debian/tmp/usr/share/camitk-$(VER_SHORT)/cmake/*.cmake 
 	dh_installman -p$(pkg_dev) $(CURDIR)/applications/wizard/camitk-wizard.1
+
+        # qtpropertybrowser so and headers
+	dh_install -p$(pkg_qpb_dev) debian/tmp/usr/lib/libqtpropertybrowser.so usr/lib
+	dh_install -p$(pkg_qpb_dev) --autodest debian/tmp/usr/include/camitk-${VER_SHORT}/qtpropertybrowser
 
 	# api doc
 	dh_install -p$(pkg_doc) --autodest debian/tmp/usr/share/camitk-$(VER_SHORT)/apidoc
