=== debian/watch ===
version=3
http://camitk.imag.fr/download_source.xml .*/camitk-(\d.*?)(?:-Source)?\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
# Bart Martens <bartm@debian.org>  Sat, 12 Jan 2013 18:53:23 +0000
